Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000550SpeedFanHardware supportpublic2006-04-30 15:012008-05-14 19:47
Reportermsalvagno 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows XPOS VersionSP2
Product Version4.28 
Target VersionFixed in Version4.34 
Summary0000550: Video Card temperatures broken in DualView (100% CPU)
DescriptionSpeedFan cannot read temperatures from nVidia video card (N6600GT) when the screen mode is in (or is switched to) DualView mode.

If the display mode is switched while SpeedFan's running, CPU usage soars to 100%, slowing down the whole system.

Other monitor programs (such as RivaTuner and nVidia's temperature display) work fine, though.

Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked nVidia nForce4 SMBUS at $4C00
Linked nVidia nForce4 SMBUS at $4C40
Found nVidia GeForce 6600GT
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Linked nVidiaI2C2 SMBUS at $3D405051
Scanning ISA BUS at $0290...
Winbond W83627THF (ID=$90) found on ISA at $290
SuperIO Chip=Winbond W83627THF
Scanning nForce2 SMBus at $4C00...
Scanning nForce2 SMBus at $4C40...
Scanning I2CNVidia SMBus at $3D403E3F...
Scanning I2CNVidia SMBus at $3D403637...
Scanning I2CNVidia SMBus at $3D405051...
MAX1617 found on SMBus at $4C
Found ACPI temperature (21,8C)
End of detection
Error loading event -->
  CfgVersion=01.0001
  EventsVersion=01.0001
Loaded 0 events
SMBus msg : 14.49.11.437 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.11.437 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.13.187 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.13.203 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.14.890 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.14.890 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.16.546 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.16.546 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.18.218 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.18.218 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.19.937 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.19.937 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.21.609 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.21.609 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.23.718 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.23.718 Unsuccessful SELB $01 to $4C
SMBus msg : 14.49.26.031 Unsuccessful SELB $00 to $4C
SMBus msg : 14.49.26.234 Unsuccessful SELB $00 to $4C
Steps To ReproduceAs soon as the system is switched to DualView mode, SpeedFan cannot read the temperatures anymore and CPU usage soars to 100%; switching back to Single Display or Clone mode restores proper functioning.
TagsNo tags attached.
Motherboard Model
Video Card ModelAsus Extreme N6600GT/TOP
Attached Files

- Relationships
related to 0000392acknowledgedalfredo Speedfan crashes / doesn't recognise sensors when using NVidia DualView 

-  Notes
(0001649)
Neelance (reporter)
2006-05-01 11:01
edited on: 2006-05-01 11:03

I reported the same problem some time ago:
http://www.bugtrack.almico.com/view.php?id=392 [^]

(0001685)
alfredo (manager)
2006-05-19 12:04

I'm working on a new way to access temperatures. By the way: does the 100% CPU usage sits there for ever or does it disappear after a while?
(0002295)
msalvagno (reporter)
2007-01-10 02:44

I've not waited for hours but just minutes, it seems it's going to go on like that forever.
(0002890)
magiceye04 (reporter)
2007-09-18 18:44

Hi!
I have the same problem, but without crashing oder CPU getting up to 100%.
After activating DualView on my GeForce6800, the sensor ist away...
I hoped for fixing this bug in 4.33, but its still there.
If there are some informations that might help to find the problem, i would try to help...

lg Andreas
______________________________________
Reading:

Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked nVidia nForce2 SMBUS at $5000
Linked nVidia nForce2 SMBUS at $5100
Found nVidia GeForce 6800
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Linked nVidiaI2C2 SMBUS at $3D405051
Scanning ISA BUS at $0290...
IT8712F found on ISA at $290
SuperIO Chip=IT8712F
Scanning nForce2 SMBus at $5000...
Scanning nForce2 SMBus at $5100...
SMART Enabled for drive 0
Found SAMSUNG SP2514N (250,1GB)
SMART Enabled for drive 1
Found SCSI drive DVDRAM GSA-4167B (0,0GB)
Found ACPI temperature (40,0C)
End of detection
Loaded 0 events
(0002891)
alfredo (manager)
2007-09-18 18:52

Magiceye04, could you send me a SEND REPORT from SpeedFan's INFO tab? In the NOTES field, please enter the ID of this issue.
(0002909)
magiceye04 (reporter)
2007-09-19 18:59

done
(0002910)
alfredo (manager)
2007-09-19 19:13

I can't find your report. Which email address did you use?
(0002911)
alfredo (manager)
2007-09-19 19:41

Sorry. I found it.
(0002916)
magiceye04 (reporter)
2007-09-19 21:22

another report with access to gfx is on the way.
(dualview disabled)
(0002928)
alfredo (manager)
2007-09-20 10:02

It looks like SpeedFan won't find your video card temperatures after DualView is enabled, even if SpeedFan is restarted. Is this true?
(0002931)
magiceye04 (reporter)
2007-09-20 22:28

Disabling DualView results in an endless start of scanning for the sensors (seen in Info-Window)
Enabling DualView after it was disabled, required a reboot, so i couldn check if Speedfan starts to work in such a case.
(0003138)
alfredo (manager)
2007-10-30 09:37

Does the latest beta fix this issue?
I will appreciate a SEND REPORT from SpeedFan.
Thank you.
(0003190)
Nuor (reporter)
2007-11-16 07:20

DualView works fine with my Nvidia 7800gtx with beta 34, in fact is has apparently worked fine (or at least consistently) for the last few versions. Beyond that the new Nvidia switch enables a temperature reading from the card via the PCI bus but it is a a repeat of the video core temperature reading I have always received from the NVCPL bus. The ambient card temp that is visible through Rivatuner is NOT available it reads as 0 on the NVCPL bus and does not appear at all on the PCI bus.
(0003211)
Nuor (reporter)
2007-12-11 20:14

I now have full sensor input from Nvidia sensors. I'm picking up the ADT7473 chip, which I hadn't been previously. This gives me access to GPU fan, Video ambient etc. This started with beta 36, but I think it may have started with an earlier beta. It occurred when I hooked up a second monitor (lcd tv) to my system, disconnected the TV output and changed monitor assignments.

- Issue History
Date Modified Username Field Change
2006-04-30 15:01 msalvagno New Issue
2006-04-30 15:01 msalvagno Video Card Model => Asus Extreme N6600GT/TOP
2006-05-01 11:01 Neelance Note Added: 0001649
2006-05-01 11:02 Neelance Note Edited: 0001649
2006-05-01 11:03 Neelance Note Edited: 0001649
2006-05-19 12:04 alfredo Note Added: 0001685
2006-05-19 12:04 alfredo Status assigned => acknowledged
2007-01-10 02:44 msalvagno Note Added: 0002295
2007-09-18 18:44 magiceye04 Note Added: 0002890
2007-09-18 18:52 alfredo Note Added: 0002891
2007-09-19 18:59 magiceye04 Note Added: 0002909
2007-09-19 19:13 alfredo Note Added: 0002910
2007-09-19 19:41 alfredo Note Added: 0002911
2007-09-19 21:22 magiceye04 Note Added: 0002916
2007-09-20 10:02 alfredo Note Added: 0002928
2007-09-20 10:03 alfredo Relationship added related to 0000392
2007-09-20 22:28 magiceye04 Note Added: 0002931
2007-10-30 09:37 alfredo Note Added: 0003138
2007-11-16 07:20 Nuor Note Added: 0003190
2007-12-11 20:14 Nuor Note Added: 0003211
2008-05-14 19:47 alfredo Status acknowledged => resolved
2008-05-14 19:47 alfredo Resolution open => fixed
2008-05-14 19:47 alfredo Fixed in Version => 4.34


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3359 seconds.
memory usage: 8,155 KB
Powered by Mantis Bugtracker